## meta-torch-core-free 1

=== debian/changelog ===
meta-torch-core-free (1) unstable; urgency=medium

  * Depends on lua-torch-nn and lua-torch-nngraph.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Apr 2018 09:22:58 +0000

meta-torch-core-free (1~pre1) unstable; urgency=medium

  * Update copyright information.
  * Bump debhelper compat level to 11.
  * Point Vcs-* fields to Salsa.
  * Bump Standards-Version to 4.1.4 .
    + Change copyright-format URL into https form.
  * Temporarily remove Depends on nn and nngraph module, which are still
    waiting in NEW. They will be brought back at the next upload.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Apr 2018 03:45:21 +0000

meta-torch-core-free (1~exp5) experimental; urgency=medium

  * Fix links in Vcs-{Git,Browser} fields, which were pointing to wrong repos.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 16 Dec 2016 01:36:38 +0000

meta-torch-core-free (1~exp4) experimental; urgency=medium

  * Add the missing Vcs-{Git,Browser} fields.
  * Bump debhelper compat to 10.
  * Move optimized BLAS packages from Pre-Depends to Depends.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 15 Dec 2016 02:00:24 +0000

meta-torch-core-free (1~exp3) experimental; urgency=medium

  * Add missing B-D and Depends torch-trepl.
  * Suggest correcponding dev packages.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 14 Dec 2016 11:18:16 +0000

meta-torch-core-free (1~exp2) experimental; urgency=medium

  * Add run-time dependencies to Build-Dependencies. (Closes: #842082)
  * Add autopkgtest support.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 16 Nov 2016 07:38:01 +0000

meta-torch-core-free (1~exp1) experimental; urgency=low

  * Initial release. (Closes: #794634)

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 28 Aug 2016 04:57:33 +0000
