=== debian/tests/control ===
Tests: simply.run.th.sh

Tests: test.torch7.unittest.sh

Tests: test.nn.unittest.sh
