## meta-torch-core-free 20171127

=== debian/changelog ===
meta-torch-core-free (20171127) unstable; urgency=medium

  * Allow outputs to stderr to avoid CI failure.
  * Recommends lua-torch-cutorch.
  * Drop the meaningless versioning scheme. Use the last-update
    timestamp among all dependency package repositories of upstream
    as the metapackage version.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 24 Jun 2018 11:30:02 +0000
