=== debian/control ===
--- 
+++ 
@@ -76,6 +76,7 @@
           lua-torch-torch7-dev,
           libtorch-th-dev,
           libtorch-luat-dev,
+Recommends: lua-torch-cutorch
 # Well, the following description is basically copied from its homepage.
 Description: Scientific Computing Framework For Luajit (Core Components)
  Torch is a scientific computing framework with wide support for machine
