=== debian/tests/control ===
Tests: simply.run.th.sh
Restrictions: allow-stderr

Tests: test.torch7.unittest.sh
Restrictions: allow-stderr

Tests: test.nn.unittest.sh
Restrictions: allow-stderr
